<template>
  <div>
    <h1 class="mb-6">Did you experience any side effects when taking {{ treatmentName }}?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.value"
        :input-value="choice.value"
        v-model="selected.value"
        :has-free-answer="choice.freeAnswer"
        :text-value="selected.freeAnswer"
        @textInput="text => selected.freeAnswer = text"
      >
        {{ choice.value }}
      </radio-input>
    </div>
    <CommonBtn
      @click="$emit('nextTreatment')"
      text="Next"
      :disabled="!selected.value"
    />
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";
import {constants} from "@/constants";

export default {
  components: {CommonBtn, RadioInput},
  mixins: [answersMixin],
  props: {
    treatmentName: String
  },
  name: "YourHealth10",
  watch: {
    selected:{
      handler(newVal) {
        const currentAnswer = this.answer(this.answersKeys.YOUR_HEALTH)?.['stage_10'] ?? {}
        this.setAnswer(this.answersKeys.YOUR_HEALTH, {
          ...currentAnswer,
          [this.treatmentName]: newVal
        }, 'stage_10')
      },
      deep: true
    },
    'selected.value'() {
      this.selected.freeAnswer = null
    }
  },
  data() {
    return {
      selected: {
        value: null,
        freeAnswer: null,
      },
      choices: [
        {
          value: 'No'
        },
        {
          value: constants.YES_CHOICE,
          freeAnswer: true
        }
      ]
    }
  }
}
</script>

<style scoped>

</style>
